/**
 * Copyright (c) 2007-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.mbean;

import java.lang.reflect.Field;

import javax.management.DynamicMBean;

import org.ow2.petals.component.framework.DefaultBootstrap;

/**
 * The dynamic MBean used to expose component attributes and operations via JMX.
 * @author Christophe Hamerling - EBM WebSourcing
 * @author Roland Naudin - EBM WebSourcing
 */
public class ExtensionMBean extends AbstractConfigurationMBean implements DynamicMBean {

    public ExtensionMBean(final DefaultBootstrap bootstrap) {
        super(bootstrap.getJbiComponentConfiguration(), bootstrap.getLogger(), bootstrap);
    }

    @Override
    protected boolean isSettableField(final Field field) {
        return field.getType().getSimpleName().startsWith("Runtime")
                || field.getType().getSimpleName().startsWith("Settable");
    }
}
