/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.mbean;

import java.util.Collection;

public interface MBeanImplementor {

    /**
     * Method to be overridden if the component implementation needs to expose methods via JMX. This method is called by
     * the dynamic MBean.
     * 
     * @return a list of method names to expose
     * 
     */
    public Collection<String> getMBeanOperationsNames();

    /**
     * Method to be overridden if the component implementation needs to expose attributes via JMX. This method is called
     * by the dynamic MBean.
     * 
     * @return a list of attributes names to expose
     * 
     */
    public Collection<String> getMBeanAttributesNames();

}
