/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.monitoring.defect;

import javax.management.MBeanNotificationInfo;

import org.ow2.petals.probes.api.sensor.detector.DefectCreator;

/**
 * A defect creator creating and sending defect as JMX notification.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface JmxDefectCreator extends DefectCreator {

    /**
     * Creation the information associated to the JMX notification representing
     * the defect
     * 
     * @return Information associated to the JMX notification representing the
     *         defect
     */
    public MBeanNotificationInfo getNotificationInfo();

}
