/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.monitoring.sensor;

import java.util.Collection;

import org.ow2.petals.component.framework.process.MessageExchangeAcceptor;
import org.ow2.petals.probes.api.sensor.GaugeSensor;

/**
 * Sensor attached to the message exchange acceptor thread pool.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class MessageExchangeAcceptorPoolSensor implements GaugeSensor<Integer, Integer> {

    /**
     * The message acceptor pool
     */
    protected Collection<MessageExchangeAcceptor> acceptorPool = null;

    @Override
    public final Integer getInitialValue() {
        if (this.acceptorPool == null) {
            return 0;
        } else {
            return this.getInstantValue();
        }
    }

    @Override
    public final Integer toExternalValue(final Integer valueToConvert) {
        return valueToConvert;
    }

    public final void setAcceptorPool(final Collection<MessageExchangeAcceptor> acceptorPool) {
        this.acceptorPool = acceptorPool;
    }

    @Override
    public Integer getInstantValue() {
        return Integer.valueOf(this.acceptorPool.size());
    }
}