/**
 * Copyright (c) 2005-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.se;

import org.ow2.petals.component.framework.AbstractComponent;
import org.ow2.petals.component.framework.su.AbstractServiceUnitManager;

/**
 * An abstract class that can be used to easily create a new JBI Service Engine.
 * 
 * In particular, one can extends {@link ServiceEngineServiceUnitManager} (or use it as is).
 * 
 * @author Olivier Fabre - EBM WebSourcing
 * @author Adrien Louis - EBM WebSourcing
 */
public abstract class AbstractServiceEngine extends AbstractComponent {

    @Override
    protected abstract AbstractServiceUnitManager createServiceUnitManager();
}
