/**
 * Copyright (c) 2005-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.se;

import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;
import org.ow2.petals.component.framework.su.AbstractServiceUnitManager;
import org.ow2.petals.component.framework.su.ServiceUnitDataHandler;

/**
 * The SE extension of the Service Unit Manager.
 * @author Olivier Fabre - EBM WebSourcing
 */
public class ServiceEngineServiceUnitManager extends AbstractServiceUnitManager {

    /**
     * Creates a new instance of {@link ServiceEngineServiceUnitManager}
     *
     * @param engine
     */
    public ServiceEngineServiceUnitManager(final AbstractServiceEngine engine) {
		super(engine);
	}

    @Override
    protected AbstractServiceEngine getComponent() {
        return (AbstractServiceEngine) super.getComponent();
    }

    @Override
    protected final void initInternal(final ServiceUnitDataHandler suDH) throws PEtALSCDKException {
        // do nothing
    }

    @Override
    protected final void startInternal(ServiceUnitDataHandler suDH) throws PEtALSCDKException {
        // do nothing
    }

    @Override
    protected final void stopInternal(ServiceUnitDataHandler suDH) throws PEtALSCDKException {
        // do nothing
    }

    @Override
    protected final void undeployInternal(ServiceUnitDataHandler suDH) throws PEtALSCDKException {
        // do nothing
    }

    @Override
    protected final void deployInternal(ServiceUnitDataHandler suDH) throws PEtALSCDKException {
        // do nothing
    }

    @Override
    protected final void shutdownInternal(ServiceUnitDataHandler suDH) throws PEtALSCDKException {
        // do nothing
    }
}
