/**
 * Copyright (c) 2005-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.util;

import java.util.Enumeration;
import java.util.ResourceBundle;

import org.easymock.classextension.EasyMock;

/**
 * Mock ResourceBundle.
 * @author ddesjardins - EBM WebSourcing
 */
public class MockResourceBundle extends ResourceBundle {

    @SuppressWarnings("unchecked")
    public Enumeration<String> getKeys() {
        Enumeration keys = EasyMock.createMock(Enumeration.class);
        EasyMock.expect(keys.nextElement()).andReturn("test");
        EasyMock.expect(keys.hasMoreElements()).andReturn(true);
        EasyMock.replay(keys);
        return keys;
    }

    protected boolean handleGetObject;

    protected Object handleGetObject(String key) {
        handleGetObject = true;
        return "test msg";
    }
}
